Summary:        An advanced IRC bouncer
Name:           znc
Version:        0.076
Release:	2%{?dist}
License:        GPLv2 with exceptions
Group:          System Environment/Daemons
URL:            http://znc.sf.net/
Source0:        http://downloads.sourceforge.net/znc/znc-0.076.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  perl
BuildRequires:  openssl-devel >= 0.9.8
BuildRequires:  cyrus-sasl-devel
BuildRequires:  c-ares-devel

# The following line is necessary because this module
# is needed for Fedora, but not for EPEL.
%{?fedora:BuildRequires: perl-ExtUtils-Embed}

%description
ZNC is an IRC bouncer with many advanced features like detaching,
multiple users, per channel playback buffer, SSL, IPv6, transparent
DCC bouncing, Perl and C++ module support to name a few.

%package devel
Summary:        Development files needed to compile ZNC modules
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} pkgconfig
BuildRequires: pkgconfig

%description devel
All includes and program files you need to compile your own znc
modules.

%package extra
Summary:       Extra modules for ZNC
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description extra
Extra modules for ZNC

%prep
%setup -q
%__perl -pi.add_release -e 's|(?<="ZNC \%1\.3f)|-%{release}|' znc.cpp
chmod -x modules/q.cpp

%build
%configure \
     --with-module-prefix=%{_libdir}/znc \
     --enable-ipv6 --enable-sasl --enable-extra
%__make %{?_smp_mflags}

%install
%__rm -Rf "%{buildroot}"
%__make install DESTDIR="%{buildroot}"

%clean
%__rm -Rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE LICENSE.OpenSSL README znc.conf
%{_bindir}/znc
%{_mandir}/man1/*
#%{_libdir}/znc/
%{_libdir}/znc/admin.so
%{_libdir}/znc/adminlog.so
%{_libdir}/znc/autoattach.so
%{_libdir}/znc/autocycle.so
%{_libdir}/znc/autoop.so
%{_libdir}/znc/autoreply.so
%{_libdir}/znc/away.so
%{_libdir}/znc/awaynick.so
%{_libdir}/znc/buffextras.so
%{_libdir}/znc/chansaver.so
%{_libdir}/znc/crypt.so
%{_libdir}/znc/email.so
%{_libdir}/znc/fail2ban.so
%{_libdir}/znc/fixfreenode.so
%{_libdir}/znc/imapauth.so
%{_libdir}/znc/keepnick.so
%{_libdir}/znc/kickrejoin.so
%{_libdir}/znc/modperl.pm
%{_libdir}/znc/modperl.so
%{_libdir}/znc/nickserv.so
%{_libdir}/znc/partyline.so
%{_libdir}/znc/perform.so
%{_libdir}/znc/q.so
%{_libdir}/znc/raw.so
%{_libdir}/znc/route_replies.so
%{_libdir}/znc/sample.so
%{_libdir}/znc/saslauth.so
%{_libdir}/znc/savebuff.so
%{_libdir}/znc/schat.so
%{_libdir}/znc/shell.so
%{_libdir}/znc/simple_away.so
%{_libdir}/znc/stickychan.so
%{_libdir}/znc/watch.so
%{_libdir}/znc/webadmin.so
%{_datadir}/znc/

%files devel
%defattr(-,root,root)
%{_bindir}/znc-buildmod
%{_bindir}/znc-config
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/znc/

%files extra
%defattr(-,root,root)
%{_libdir}/znc/antiidle.so
%{_libdir}/znc/autovoice.so
%{_libdir}/znc/blockuser.so
%{_libdir}/znc/connect_throttle.so
%{_libdir}/znc/ctcpflood.so
%{_libdir}/znc/discon_kick.so
%{_libdir}/znc/droproot.so
%{_libdir}/znc/fakeonline.so
%{_libdir}/znc/lastseen.so
%{_libdir}/znc/listsockets.so
%{_libdir}/znc/log.so
%{_libdir}/znc/motdfile.so
%{_libdir}/znc/notify_connect.so
%{_libdir}/znc/send_raw.so

%changelog
* Fri Sep 25 2009 Nick Bebout <nb@fedoraproject.org> - 0.076-2
- Fix missing dist tag

* Fri Sep 25 2009 Nick Bebout <nb@fedoraproject.org> - 0.076-1
- Upgrade to ZNC 0.076
- http://en.znc.in/wiki/ChangeLog/0.076

* Fri Aug 28 2009 Nick Bebout <nb@fedoraproject.org> - 0.075-8.svn1613
- Rebuild with new openssl and svn 1613
- build 0.075-7.svn1610 existed but I had to remove it from the spec because
- the date was earlier than the date tmraz build the new openssl one

* Wed Aug 26 2009 Tomas Mraz <tmraz@redhat.com> - 0.075-6.svn1608
- rebuilt with new openssl

* Thu Aug 20 2009 Nick Bebout <nb@fedoraproject.org> - 0.075-5.svn1608
- Upgrade to svn 1608

* Tue Aug 18 2009 Nick Bebout <nb@fedoraproject.org> - 0.075-4.20090818svn1602
- Upgrade to svn 1602

* Sat Aug 8 2009 Nick Bebout <nb@fedoraproject.org> - 0.075-3.20090807svn1594
- Fix source filename

* Fri Aug 7 2009 Nick Bebout <nb@fedoraproject.org> - 0.075-2.20090807svn1594
- Fix broken source tarball

* Fri Aug 7 2009 Nick Bebout <nb@fedoraproject.org> - 0.075-1.20090807svn1594
- Upgrade to svn 1594

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.074-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 23 2009 Nick Bebout <nb@fedoraproject.org> - 0.074-1
- Update to 0.074

* Wed Jul 22 2009 Nick Bebout <nb@fedoraproject.org> - 0.072-3
- Fix date in changelog, disable c-ares

* Wed Jul 22 2009 Nick Bebout <nb@fedoraproject.org> - 0.072-2
- Backport patch to fix webadmin skins issue introduced in 0.072

* Wed Jul 22 2009 Nick Bebout <nb@fedoraproject.org> - 0.072-1
- Upgrade to 0.072 of ZNC, fixes security issue in bug # 513152

* Sun Jul 12 2009 Nick Bebout <nb@fedoraproject.org> - 0.070-7
- Fix License: to be GPLv2 with exceptions

* Sat Jul 11 2009 Nick Bebout <nb@fedoraproject.org> - 0.070-6
- Fix permissions error in %%prep, not in source

* Sat Jul 11 2009 Nick Bebout <nb@fedoraproject.org> - 0.070-5
- Fix permissions error on q.cpp and add LICENSE.OpenSSL

* Sat Jul 11 2009 Nick Bebout <nb@fedoraproject.org> - 0.070-4
- Remove switch to enable debug, fix %%files section

* Fri Jul 10 2009 Nick Bebout <nb@fedoraproject.org> - 0.070-3
- Move fixfreenode and log into separate znc-extra package
- Move awayping into separate znc-awayping package

* Thu Jul 9 2009 Nick Bebout <nb@fedoraproject.org> - 0.070-2
- Include modules with main package

* Wed Jul 8 2009 Nick Bebout <nb@fedoraproject.org> - 0.070-1
- Initial Fedora package based on 0.070 of upstream
